# Generated by Django 5.1.3 on 2024-12-03 13:49

import django.db.models.deletion
import users.sentinel
import utils.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('files', '0003_initial'),
        ('jobs', '0002_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='basefile',
            name='uploader',
            field=models.ForeignKey(help_text='The uploader of this file.', on_delete=models.SET(users.sentinel.get_sentinel_user), related_name='files', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='filegroupobjectpermission',
            name='content_object',
            field=models.ForeignKey(on_delete=utils.models.NP_CASCADE, related_name='group_permissions', to='files.basefile'),
        ),
        migrations.AddField(
            model_name='filegroupobjectpermission',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.group'),
        ),
        migrations.AddField(
            model_name='filegroupobjectpermission',
            name='permission',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.permission'),
        ),
        migrations.AddField(
            model_name='fileuserobjectpermission',
            name='content_object',
            field=models.ForeignKey(on_delete=utils.models.NP_CASCADE, related_name='user_permissions', to='files.basefile'),
        ),
        migrations.AddField(
            model_name='fileuserobjectpermission',
            name='permission',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.permission'),
        ),
        migrations.AddField(
            model_name='fileuserobjectpermission',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='thumbnail',
            name='basefile',
            field=models.ForeignKey(help_text='The basefile this Thumbnail is for.', on_delete=utils.models.NP_CASCADE, related_name='thumbnails', to='files.basefile'),
        ),
        migrations.AddField(
            model_name='thumbnail',
            name='job',
            field=models.OneToOneField(help_text='The Job which triggered uploading of this Thumbnail.', on_delete=utils.models.NP_CASCADE, to='jobs.thumbnailjob'),
        ),
        migrations.AddField(
            model_name='thumbnailsource',
            name='basefile',
            field=models.OneToOneField(help_text='The basefile this ThumbnailSource is for.', on_delete=utils.models.NP_CASCADE, to='files.basefile'),
        ),
        migrations.AddField(
            model_name='thumbnailsource',
            name='job',
            field=models.OneToOneField(help_text='The Job which triggered uploading of this ThumbnailSource.', on_delete=utils.models.NP_CASCADE, to='jobs.thumbnailsourcejob'),
        ),
        migrations.AddField(
            model_name='thumbnail',
            name='source',
            field=models.ForeignKey(blank=True, help_text='The ThumbnailSource this Thumbnail was generated from. This field is null if the Thumbnail was generated from the BaseFile directly (only for Image files).', null=True, on_delete=utils.models.NP_CASCADE, related_name='thumbnails', to='files.thumbnailsource'),
        ),
        migrations.AlterUniqueTogether(
            name='filegroupobjectpermission',
            unique_together={('group', 'permission', 'content_object')},
        ),
        migrations.AlterUniqueTogether(
            name='fileuserobjectpermission',
            unique_together={('user', 'permission', 'content_object')},
        ),
        migrations.AddConstraint(
            model_name='thumbnail',
            constraint=models.UniqueConstraint(fields=('basefile', 'width', 'height', 'mimetype'), name='unique_thumbnail'),
        ),
    ]
