# Generated by Django 5.1.3 on 2024-12-03 13:49

import django.core.serializers.json
import django.db.models.deletion
import django.db.models.expressions
import pictures.models
import utils.models
import utils.upload
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('files', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Image',
            fields=[
                ('basefile_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='files.basefile')),
                ('original', pictures.models.PictureField(aspect_ratios=[None], breakpoints={'lg': 992, 'md': 768, 'sm': 576, 'xl': 1200, 'xs': 0, 'xxl': 1400}, container_width=4000, file_types=['WEBP'], grid_columns=12, height_field='height', help_text='The original uploaded image.', max_length=255, pixel_densities=[1, 2], upload_to=utils.upload.get_upload_path, width_field='width')),
                ('exif', models.JSONField(blank=True, encoder=django.core.serializers.json.DjangoJSONEncoder, help_text='EXIF data for the image in JSON format.', null=True)),
                ('width', models.PositiveIntegerField(help_text='The width of this image (in pixels).')),
                ('height', models.PositiveIntegerField(help_text='The height of this image (in pixels).')),
                ('aspect_ratio', models.CharField(help_text="The aspect ratio (width/height) of the image expressed as a string like '16/9'.", max_length=20)),
                ('pixels', models.GeneratedField(db_persist=True, expression=django.db.models.expressions.CombinedExpression(models.F('width'), '*', models.F('height')), help_text='The total number of pixels in this image. Useful for ordering by image size.', output_field=models.PositiveBigIntegerField())),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('files.basefile',),
        ),
        migrations.CreateModel(
            name='ImageVersion',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('file_size', models.BigIntegerField(help_text='The size of the file in bytes. This value is read-only.')),
                ('mimetype', models.CharField(help_text='The mimetype of the file as reported the uploading client. This value is read-only.', max_length=255)),
                ('width', models.PositiveIntegerField(help_text='The width of this image (in pixels).')),
                ('height', models.PositiveIntegerField(help_text='The height of this image (in pixels).')),
                ('aspect_ratio', models.CharField(help_text="The intended (and advertised) aspect ratio of this image, expressed as a string like '16/9'. The actual image AR (width/height) can vary slightly from the value in this field because of rounding errors when resizing images.", max_length=20)),
                ('pixels', models.GeneratedField(db_persist=True, expression=django.db.models.expressions.CombinedExpression(models.F('width'), '*', models.F('height')), help_text='The total number of pixels in this image. Useful for ordering by image size.', output_field=models.PositiveBigIntegerField())),
                ('imagefile', pictures.models.PictureField(aspect_ratios=[None], breakpoints={'lg': 992, 'md': 768, 'sm': 576, 'xl': 1200, 'xs': 0, 'xxl': 1400}, container_width=4000, file_types=['WEBP'], grid_columns=12, height_field='height', help_text='The image version file.', max_length=255, pixel_densities=[1, 2], upload_to=utils.upload.get_image_version_path, width_field='width')),
                ('image', models.ForeignKey(help_text='The Image this is a smaller version of.', on_delete=utils.models.NP_CASCADE, related_name='image_versions', to='images.image')),
            ],
            options={
                'ordering': ('-width',),
            },
        ),
    ]
